Bug 105595 - modifying loopback-mounted filesystem doesn't change file's timestamps
modifying loopback-mounted filesystem doesn't change file's timestamps
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Alexander Viro
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-25 17:31 EDT by Alexandre Oliva
Modified: 2009-07-14 12:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:51:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2003-09-25 17:31:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
After loopback-mounting a file containing an ext2 filesystem, adding and
modifying files, and umounting it, the timestamps of the file remain unchanged.

Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2051.nptl

How reproducible:
Always

Steps to Reproduce:
1.dd if=/dev/zero of=file.img bs=1k count=1440
2.mke2fs -f file.img
3.mkdir /tmp/mnt
4.ls -l file.img
5.mount -o loop file.img /tmp/mnt
5.touch /tmp/mnt/foo
6.umount /tmp/mnt
7.ls -l file.img

Actual Results:  The timestamps printed by ls are the same

Expected Results:  They shouldn't be (unless you do it really fast! :-)

Additional info:
Comment 1 Dave Jones 2004-12-08 00:22:30 EST
fc1 - eol
Comment 2 Alexandre Oliva 2004-12-11 13:35:02 EST
This is actually still present in the latest testing kernel for FC3:
kernel-2.6.9-1.698_FC3.  Tested in x86_64 this time, so assuming it affects all
arches.
Comment 3 Dave Jones 2005-07-15 16:45:11 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Alexandre Oliva 2005-09-12 13:09:06 EDT
Problem still present in kernel-2.6.13-1.1548_FC5.
Comment 5 Sean Bruno 2006-05-08 16:32:33 EDT
I actually have this problem under 2.6.16-1.2111_FC5 ... I just ran into this
while messing around with floppy images. When I updated a file in the image,
subversion couldn't see that the file was updated until I touched the file.
Comment 6 Sean Bruno 2006-05-08 17:36:37 EDT
just for reference sake, I ran this on x86_64 and i386 based kernels.  Same
behaviour.
Comment 7 Sean Bruno 2006-09-16 16:31:26 EDT
I just tested this on i386 FC6T3 and it is still there.  Please move this ticket
to FC6


uname -a
Linux testsrv 2.6.17-1.2647.fc6 #1 SMP Wed Sep 13 12:51:50 EDT 2006 i686 i686
i386 GNU/Linux
Comment 8 Sean Bruno 2006-11-16 11:06:23 EST
Retested with the latest FC5 X86_64 kernel and I still see an issue with it.

uname -a
Linux home-desk 2.6.18-1.2239.fc5 #1 SMP Fri Nov 10 12:51:06 EST 2006 x86_64
x86_64 x86_64 GNU/Linux
Comment 9 Sean Bruno 2006-11-16 11:09:59 EST
I guess I should actually read the original ticket information:  
"After loopback-mounting a file containing an ext2 filesystem,"

My scenario:

mount a DOS 6.20 floppy image via the loop back device:
mount -o loop DOS_Floppy.bin /mnt/floppy

Modify the contents of that image

Unmount it.

Time/date stuff doesn't change.


I found this while trying to manage a large amount of floppy images for flash
updating BIOS's and such and keeping the images version controlled in
subversion.  In my case, after I update the ROM files on the floppy images, I
have to 'touch' the image to get subversion to notice that the image has changed.
Comment 10 Bug Zapper 2008-04-03 11:30:04 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 11 Sean Bruno 2008-04-03 19:35:44 EDT
I just tested the failure case against kernel-2.6.24.4-64.fc8 and
subversion-1.4.4-7.

The problem persists still.  svn is unable to see that the image file has
changed after I mount it via loopback, edit a file and then unmount the image.
Comment 12 Bug Zapper 2008-05-13 21:55:28 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-06-09 17:57:42 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-07-14 12:51:26 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.